
Infrastructure - Task #2174

Story # 2067 (Closed): Refactor the index task generator and processor to improve scalability and performance

Solr installation cleanup

2012-01-06 20:48 - Skye Roseboom

Status: Closed Start date: 2012-01-06

Priority: Normal Due date:  

Assignee: Skye Roseboom % Done: 100%

Category: d1_indexer Estimated time: 0.00 hour

Target version: Sprint-2012.05-Block.1.3   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

Move the metadata processing configuration files to be external from the build-out jar.   This will allow changes to data-mining

expressions without requiring a rebuild of the index processor.  proposed location: /etc/dataone/index/d1-cn-index

Also look to consolidate solr installation location to etc/dataone/solr.   Currently some config is being placed in /etc/solr and

usr/share/solr.

History

#1 - 2012-01-06 20:49 - Skye Roseboom

- Category set to d1_indexer

- Assignee set to Skye Roseboom

#2 - 2012-01-06 21:38 - Skye Roseboom

- Status changed from New to In Progress

#3 - 2012-01-10 17:47 - Skye Roseboom

ended up using /etc/dataone/index/index-generation-context as location for solr index field generation configuration files.

Updated in buildout and deployed to cn-dev-2.

#4 - 2012-01-11 21:02 - Skye Roseboom

solr installation looks vanilla.

consider creating link from default solr schema.xml location to a location in /etc/dataone/index/solr/schema.xml instead of copying d1-cn-index

schema to default location.

#5 - 2012-01-11 21:25 - Skye Roseboom

- Status changed from In Progress to Closed

created link from /etc/dataone/index/solr/schema.xml to solr config for d1-cn-index core.

http://docs.ckan.org/en/latest/solr-setup.html has a good description of solr installation locations and configuration.

from the link:

This default setup will use the following locations in your file system:

/usr/share/solr: Solr home, with a symlink pointing to the configuration dir in /etc.

/etc/solr/conf: Solr configuration files. The more important ones are schema.xml and solrconfig.xml.

/var/lib/solr/data/: This is where the index files are physically stored.
